## imx-usb-loader 0~git20171026.138c0b25

=== Makefile ===
all: imx_usb imx_uart

DESTDIR ?=
prefix ?= /usr
bindir ?= $(prefix)/bin
sysconfdir ?= $(prefix)/etc

BUILDHOST := $(shell uname -s)
BUILDHOST := $(patsubst CYGWIN_%,CYGWIN,$(BUILDHOST))

ifneq ($(BUILDHOST),CYGWIN)
PKG_CONFIG ?= pkg-config
USBCFLAGS = `$(PKG_CONFIG) --cflags libusb-1.0`
USBLDFLAGS = `$(PKG_CONFIG) --libs libusb-1.0`
else
USBCFLAGS = -I/usr/include/libusb-1.0
USBLDFLAGS = -L/usr/lib -lusb-1.0
endif
CONFCPPFLAGS = -DSYSCONFDIR='"$(sysconfdir)"'
CFLAGS ?= -Wall -Wstrict-prototypes -Wno-trigraphs

imx_usb.o : imx_usb.c imx_sdp.h portable.h
	$(CC) -c $*.c -o $@ -pipe -ggdb $(USBCFLAGS) $(CFLAGS) $(CONFCPPFLAGS)

%.o : %.c imx_sdp.h portable.h image.h
	$(CC) -c $*.c -o $@ -pipe -ggdb $(CFLAGS) $(CONFCPPFLAGS)

imx_usb: imx_usb.o imx_sdp.o
	$(CC) -o $@ $@.o imx_sdp.o $(LDFLAGS) $(USBLDFLAGS)

imx_uart: imx_uart.o imx_sdp.o
	$(CC) -o $@ $@.o imx_sdp.o $(LDFLAGS)

install: imx_usb imx_uart
	mkdir -p '$(DESTDIR)$(sysconfdir)/imx-loader.d/'
	install -m644 *.conf '$(DESTDIR)$(sysconfdir)/imx-loader.d/'
	mkdir -p '$(DESTDIR)$(bindir)'
	install -m755 imx_usb '$(DESTDIR)$(bindir)/imx_usb'
	install -m755 imx_uart '$(DESTDIR)$(bindir)/imx_uart'

uninstall:
	rm -rf '$(DESTDIR)$(sysconfdir)/imx-loader.d/'
	rm -rf '$(DESTDIR)$(bindir)/imx_usb'
	rm -rf '$(DESTDIR)$(bindir)/imx_uart'

clean:
	rm -f imx_usb imx_uart imx_usb.o imx_uart.o imx_sdp.o

.PHONY: all clean install

=== debian/changelog ===
imx-usb-loader (0~git20171026.138c0b25-1) unstable; urgency=low

  * Initial release (Closes: #881899)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 16 Nov 2017 14:18:41 +0800

=== debian/control ===
Source: imx-usb-loader
Section: electronics
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 9),
               docbook-xsl,
               libusb-1.0-0-dev,
               pkg-config,
               xsltproc
Standards-Version: 4.1.1
Homepage: https://github.com/boundarydevices/imx_usb_loader

Package: imx-usb-loader
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: imx_loader - i.MX/Vybrid recovery utility
 This utility allows one to download and execute code on Freescale
 i.MX5/i.MX6/i.MX7 and Vybrid SoCs through the Serial Download Protocol (SDP).
 Depending on the board, there is usually some kind of recovery button to
 bring the SoC into serial download boot mode, check documentation of your
 hardware.
 .
 The utility support USB and UART as serial link.

## imx-usb-loader 0~git20181105.4aa98090

=== Makefile ===
--- 
+++ 
@@ -19,17 +19,17 @@
 CONFCPPFLAGS = -DSYSCONFDIR='"$(sysconfdir)"'
 CFLAGS ?= -Wall -Wstrict-prototypes -Wno-trigraphs
 
-imx_usb.o : imx_usb.c imx_sdp.h portable.h
+imx_usb.o : imx_usb.c imx_sdp.h imx_loader_config.h portable.h
 	$(CC) -c $*.c -o $@ -pipe -ggdb $(USBCFLAGS) $(CFLAGS) $(CONFCPPFLAGS)
 
-%.o : %.c imx_sdp.h portable.h image.h
+%.o : %.c imx_sdp.h imx_loader_config.h portable.h image.h
 	$(CC) -c $*.c -o $@ -pipe -ggdb $(CFLAGS) $(CONFCPPFLAGS)
 
-imx_usb: imx_usb.o imx_sdp.o
-	$(CC) -o $@ $@.o imx_sdp.o $(LDFLAGS) $(USBLDFLAGS)
+imx_usb: imx_usb.o imx_sdp.o imx_sdp_simulation.o imx_loader_config.o
+	$(CC) -o $@ $^ $(LDFLAGS) $(USBLDFLAGS)
 
-imx_uart: imx_uart.o imx_sdp.o
-	$(CC) -o $@ $@.o imx_sdp.o $(LDFLAGS)
+imx_uart: imx_uart.o imx_sdp.o imx_loader_config.o
+	$(CC) -o $@ $^ $(LDFLAGS)
 
 install: imx_usb imx_uart
 	mkdir -p '$(DESTDIR)$(sysconfdir)/imx-loader.d/'
@@ -44,6 +44,13 @@
 	rm -rf '$(DESTDIR)$(bindir)/imx_uart'
 
 clean:
-	rm -f imx_usb imx_uart imx_usb.o imx_uart.o imx_sdp.o
+	rm -f imx_usb imx_uart imx_usb.o imx_uart.o imx_sdp.o \
+		imx_sdp_simulation.o imx_loader_config.o
 
-.PHONY: all clean install
+tests: imx_usb
+	$(MAKE) -C tests/ tests
+
+regen: imx_usb
+	$(MAKE) -C tests/ regen
+
+.PHONY: all clean install tests

=== tests/Makefile ===
IMX_USB ?= ../imx_usb

%.test: % FORCE
	@echo Testing $*
	@$(IMX_USB) -v -S 0x15a2:0x0061 $* > $@
	@diff $*.output $@

tests:	test.imx.test test-dcd.imx.test test-plugin.imx.test

%.output: % FORCE
	$(IMX_USB) -v -S 0x15a2:0x0061 $* > $@

regen:	test.imx.output test-dcd.imx.output test-plugin.imx.output

FORCE: ;

.PHONY: tests regen

=== debian/changelog ===
imx-usb-loader (0~git20181105.4aa98090-1) unstable; urgency=low

  * New upstream release
  * Bump debhelper version to 10
  * Bump Standards-Version to 4.2.1: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 08 Nov 2018 08:57:28 +0800

## imx-usb-loader 0~git20200103.f009770d

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 prefix ?= /usr
 bindir ?= $(prefix)/bin
 sysconfdir ?= $(prefix)/etc
+rel_sysconfdir = $(shell realpath -m --relative-to=$(bindir) $(sysconfdir))
 
 BUILDHOST := $(shell uname -s)
 BUILDHOST := $(patsubst CYGWIN_%,CYGWIN,$(BUILDHOST))
@@ -16,7 +17,7 @@
 USBCFLAGS = -I/usr/include/libusb-1.0
 USBLDFLAGS = -L/usr/lib -lusb-1.0
 endif
-CONFCPPFLAGS = -DSYSCONFDIR='"$(sysconfdir)"'
+CONFCPPFLAGS = -DSYSCONFDIR='"$(sysconfdir)"' -DREL_SYSCONFDIR='"$(rel_sysconfdir)"'
 CFLAGS ?= -Wall -Wstrict-prototypes -Wno-trigraphs
 
 imx_usb.o : imx_usb.c imx_sdp.h imx_loader_config.h portable.h
@@ -25,10 +26,10 @@
 %.o : %.c imx_sdp.h imx_loader_config.h portable.h image.h
 	$(CC) -c $*.c -o $@ -pipe -ggdb $(CFLAGS) $(CONFCPPFLAGS)
 
-imx_usb: imx_usb.o imx_sdp.o imx_sdp_simulation.o imx_loader_config.o
+imx_usb: imx_usb.o imx_sdp.o imx_sdp_simulation.o imx_loader_config.o sdp.o sdps.o
 	$(CC) -o $@ $^ $(LDFLAGS) $(USBLDFLAGS)
 
-imx_uart: imx_uart.o imx_sdp.o imx_loader_config.o
+imx_uart: imx_uart.o imx_sdp.o imx_loader_config.o sdp.o
 	$(CC) -o $@ $^ $(LDFLAGS)
 
 install: imx_usb imx_uart
@@ -44,8 +45,7 @@
 	rm -rf '$(DESTDIR)$(bindir)/imx_uart'
 
 clean:
-	rm -f imx_usb imx_uart imx_usb.o imx_uart.o imx_sdp.o \
-		imx_sdp_simulation.o imx_loader_config.o
+	rm -f imx_usb imx_uart *.o
 
 tests: imx_usb
 	$(MAKE) -C tests/ tests

=== debian/changelog ===
imx-usb-loader (0~git20200103.f009770d-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 03 Feb 2020 12:09:23 +0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: electronics
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                docbook-xsl,
                libusb-1.0-0-dev,
                pkg-config,
                xsltproc
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/boundarydevices/imx_usb_loader
 
 Package: imx-usb-loader

## imx-usb-loader 0~git20200517.30b43d69

=== tests/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 %.test: % FORCE
 	@echo Testing $*
 	@$(IMX_USB) -v -S 0x15a2:0x0061 $* > $@
-	@diff $*.output $@
+	@diff -u $*.output $@
 
 tests:	test.imx.test test-dcd.imx.test test-plugin.imx.test

=== debian/changelog ===
imx-usb-loader (0~git20200517.30b43d69-2) unstable; urgency=low

  * Add debian/watch to track upstream changes.
   - We should remove get-orig-source target later in debian/rules when
     the upstream has newer versions.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 21 Nov 2022 01:19:30 +0800

imx-usb-loader (0~git20200517.30b43d69-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 23 May 2020 19:05:22 +0800

=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

# Direct Git.
opts="mode=git, pretty=0~git%cd.%h" https://github.com/boundarydevices/imx_usb_loader.git \
  HEAD debian uupdate
